### Function

# GioUnix is_system_fs_type

since: 2.56

#### Declaration

    gboolean
    g_unix_is_system_fs_type (
      const char* fs_type
    )

#### Description

Determines if `fs_type` is considered a type of file system which is only used in implementation of the OS. This is primarily used for hiding mounted volumes that are intended as APIs for programs to read, and system administrators at a shell; rather than something that should, for example, appear in a GUI. For example, the Linux `/proc` filesystem.

The list of file system types considered ‘system’ ones may change over time.

Available since: 2.56

#### Parameters

`fs_type`

  Type: `const char*`

  A file system type, e.g. `procfs` or `tmpfs`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `fs_type` is considered an implementation detail of the OS.